package identity_request

import (
	"encoding/json"
	"git.sxidc.com/student-physical-examination/contract_lock_sdk/http"
)

type IdentityAuthModeRequest struct {
	// 【身份核验方式】身份核验方式 【作用】 身份核验方式标识 【传参方式】  字符串 【特殊说明】 此处参数值固定为Authorization
	Type_ string `json:"type,omitempty"`
}

func (obj IdentityAuthModeRequest) GetUrl() string {
	return "/identity/auth/mode"
}

func (obj IdentityAuthModeRequest) GetHttpParameter() *http.HttpParameter {
	parameter := http.NewPostHttpParameter()
	jsonBytes, _ := json.Marshal(obj)
	parameter.SetJsonParamer(string(jsonBytes))
	return parameter
}
